## Apache Zeta Components Manual :: File Source for data_store.php

## Source for file data_store.php

Documentation is available at data_store.php

1. <?php
2. /**
3. * File containing the ezcTreeDataStore interface.
4. *
5. * Licensed to the Apache Software Foundation (ASF) under one
6. * or more contributor license agreements. See the NOTICE file
7. * distributed with this work for additional information
8. * regarding copyright ownership. The ASF licenses this file
9. * to you under the Apache License, Version 2.0 (the
10. * "License"); you may not use this file except in compliance
11. * with the License. You may obtain a copy of the License at
12. *
13. * http://www.apache.org/licenses/LICENSE-2.0
14. *
15. * Unless required by applicable law or agreed to in writing,
16. * software distributed under the License is distributed on an
17. * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
18. * KIND, either express or implied. See the License for the
19. * specific language governing permissions and limitations
20. * under the License.
21. *
22. * @license http://www.apache.org/licenses/LICENSE-2.0 Apache License, Version 2.0
23. * @version //autogentag//
24. * @filesource
25. * @package Tree
26. */
28. /**
29. * ezcTreeDataStore is an interface describing the methods that a
30. * tree data storage module should implement.
31. *
32. * @package Tree
33. * @version //autogentag//
34. */
35. interface ezcTreeDataStore
36. {
37. /**
38. * Deletes the data for the node $node from the data store.
39. *
40. * @param ezcTreeNode $node
41. public function deleteDataForNode( ezcTreeNode $node );
42. */
44. /**
45. * Deletes the data for all the nodes in the node list $nodeList.
46. *
47. * @param ezcTreeNodeList $nodeList
48. */
49. public function deleteDataForNodes ( ezcTreeNodeList $nodeList );
51. /**
52. * Deletes the data for all the nodes in the store.
53. */
54. public function deleteDataForAllNodes ();
56. /**
57. * Retrieves the data for the node $node from the data store and assigns it
58. * to the node's 'data' property.
59. *
60. * @param ezcTreeNode $node
61. */
62. public function fetchDataForNode ( ezcTreeNode $node );
64. /**
65. * Retrieves the data for all the nodes in the node list $nodeList and
66. * assigns this data to the nodes' 'data' properties.
67. *
68. * @param ezcTreeNodeList $nodeList
69. */
70. public function fetchDataForNodes ( ezcTreeNodeList $nodeList );
72. /**
73. * Stores the data in the node to the data store.
74. *
75. * @param ezcTreeNode $node
76. */
77. public function storeDataForNode ( ezcTreeNode $node );
78. }
79. ?>

Documentation generated by phpDocumentor 1.4.3